com.salesforce.hyperdb.grpc

## Interface QueryCommandOkOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  QueryCommandOk, QueryCommandOk.Builder

    public interface QueryCommandOkOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getAffectedRows()` `uint64 affected_rows = 1;`
`QueryCommandOk.CommandReturnCase` `getCommandReturnCase()`
`com.google.protobuf.Empty` `getEmpty()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.EmptyOrBuilder` `getEmptyOrBuilder()` `.google.protobuf.Empty empty = 2;`
`boolean` `hasAffectedRows()` `uint64 affected_rows = 1;`
`boolean` `hasEmpty()` `.google.protobuf.Empty empty = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasEmpty

    boolean hasEmpty()

`.google.protobuf.Empty empty = 2;`

Returns:
  Whether the empty field is set.

#### getEmpty

    com.google.protobuf.Empty getEmpty()

`.google.protobuf.Empty empty = 2;`

Returns:
  The empty.

#### getEmptyOrBuilder

    com.google.protobuf.EmptyOrBuilder getEmptyOrBuilder()

`.google.protobuf.Empty empty = 2;`

#### hasAffectedRows

    boolean hasAffectedRows()

`uint64 affected_rows = 1;`

Returns:
  Whether the affectedRows field is set.

#### getAffectedRows

    long getAffectedRows()

`uint64 affected_rows = 1;`

Returns:
  The affectedRows.

#### getCommandReturnCase

    QueryCommandOk.CommandReturnCase getCommandReturnCase()